## fslview 3.0+4.0.2

=== CMakeLists.txt ===
PROJECT(FSLVIEW)

SET(LIBRARY_OUTPUT_PATH ${FSLVIEW_BINARY_DIR}/lib)
SET(EXECUTABLE_OUTPUT_PATH ${FSLVIEW_BINARY_DIR}/bin)

INCLUDE_DIRECTORIES(${FSLVIEW_SOURCE_DIR}/fsl)
INCLUDE_DIRECTORIES(${FSLVIEW_SOURCE_DIR}/fsl/newmat)
INCLUDE_DIRECTORIES(${FSLVIEW_SOURCE_DIR}/src)

ENABLE_TESTING()

SUBDIRS(fsl src)

=== fsl/CMakeLists.txt ===
PROJECT(FSL)

FIND_PATH( FSL_DIR etc/fslconf/fsl.sh
	   /usr/local/fsl )

INCLUDE_DIRECTORIES( ${FSL_DIR}/extras/include/zlib )
ADD_DEFINITIONS ( -DHAVE_ZLIB )

SUBDIRS(znzlib niftiio fslio newmat libprob cprob miscmaths utils)

=== src/CMakeLists.txt ===
FIND_PATH( FSL_DIR etc/fslconf/fsl.sh
	   /usr/local/fsl )

INCLUDE_DIRECTORIES( ${FSL_DIR}/extras/include/zlib )

SUBDIRS(storage fslview)

=== fsl/cprob/CMakeLists.txt ===
PROJECT(FSL)

SET(LIBPROB_SOURCES
  bdtr.c btdtr.c chdtr.c drand.c fdtr.c gamma.c gdtr.c igam.c
  igami.c incbet.c incbi.c mtherr.c nbdtr.c ndtr.c ndtri.c pdtr.c
  stdtr.c unity.c polevl.c const.c)

ADD_LIBRARY(prob STATIC ${LIBPROB_SOURCES})

IF(FSL_BUILD)
  INSTALL_FILES(/extras/include/libprob .*\\.h$)
  INSTALL_TARGETS(/extras/lib prob)
ENDIF(FSL_BUILD)

=== fsl/libprob/CMakeLists.txt ===
PROJECT(FSL)

IF(FSL_BUILD)
  INSTALL_FILES(/extras/include/libprob .*\\.h$)
  INSTALL_TARGETS(/extras/lib prob)
ENDIF(FSL_BUILD)

=== fsl/miscmaths/CMakeLists.txt ===
SET(MISCMATHS_SOURCES
  miscmaths.cc
  optimise.cc
  miscprob.cc
  kernel.cc
  histogram.cc
  base2z.cc
  t2z.cc
  f2z.cc
  volume.cc
  volumeseries.cc
  minimize.cc
  cspline.cc
  sparse_matrix.cc
  sparsefn.cc
  rungekutta.cc)

INCLUDE_DIRECTORIES( ${FSL_SOURCE_DIR}/libprob )

ADD_LIBRARY(miscmaths STATIC ${MISCMATHS_SOURCES})

IF(FSL_BUILD)
  INSTALL_FILES(/include/miscmaths .h ${MISCMATHS_SOURCES})
  INSTALL_TARGETS(/lib miscmaths)
ENDIF(FSL_BUILD)

=== fsl/miscmaths/Makefile ===
# A Makefile for the miscmaths class

include ${FSLCONFDIR}/default.mk

PROJNAME = miscmaths

USRINCFLAGS = -I${INC_NEWMAT} -I${INC_BOOST} -I${INC_PROB} -I${INC_ZLIB}
USRLDFLAGS = -L${LIB_NEWMAT} -L${LIB_PROB} -L${LIB_ZLIB}

OBJS = miscmaths.o optimise.o miscprob.o kernel.o histogram.o base2z.o t2z.o f2z.o volume.o volumeseries.o minimize.o cspline.o sparse_matrix.o sparsefn.o rungekutta.o nonlin.o bfmatrix.o
#OBJS = miscmaths.o optimise.o miscprob.o kernel.o histogram.o base2z.o t2z.o f2z.o volume.o volumeseries.o minimize.o cspline.o

LIBS = -lutils -lfslio -lniftiio -lznz -lz -lnewmat -lprob -lm

# The target "all" should ALWAYS be provided
#   typically it will just be another target name

all: libmiscmaths.a

quick:${OBJS} quick.o
	${CXX}  ${CXXFLAGS} ${LDFLAGS} -o $@ ${OBJS} quick.o ${LIBS}

libmiscmaths.a: ${OBJS}
	${AR} -r libmiscmaths.a ${OBJS}

=== fsl/utils/Makefile ===
include ${FSLCONFDIR}/default.mk

PROJNAME = utils

USRINCFLAGS = -I${INC_NEWMAT}
USRLIBFLAGS = -L${LIB_NEWMAT}

USRCXXFLAGS = 

OptionsTestTarget = opttst
OptionsTestObjects = opttst.o
OptionsTestLibrarys = -lutils

LibraryTarget = libutils.a
LibraryObjects = matches.o functions.o usage.o check.o parse.o log.o time_tracer.o

all: ${LibraryTarget}
	rm -rf ${FSLDIR}/etc/standard
	(cd ${FSLDIR}/etc; ln -s ../data/standard .)
	mkdir -p ${FSLDIR}/lib
	rm -rf ${FSLDIR}/lib/atlases
	(cd ${FSLDIR}/lib; ln -s ../data/atlases .)

${OptionsTestTarget}: ${LibraryTarget} ${OptionsTestObjects}
	${CXX} ${LDFLAGS} -o $@  ${OptionsTestObjects} \
		${OptionsTestLibrarys}

${LibraryTarget}: ${LibraryObjects}
	${AR} -r $@ ${LibraryObjects}
	${RANLIB} ${LibraryTarget}

XFILES = 
AFILES = ${LibraryTarget}

=== src/fslview/CMakeLists.txt ===
PROJECT(fslview)

SET(utility_srcs
  preferences.cpp
  atlas.cpp
  filemanager.cpp
  cursor.cpp
  lookuptable.cpp
  clusterdata.cpp)

SET(srcs
  main.cpp
  preferences.cpp
  atlas.cpp
  filemanager.cpp
  logger.cpp
  application.cpp
  assistantclient.cpp
  splashscreen.cpp 
  version.cpp
  tracker.cpp
  cursor.cpp
  bricon.cpp
  imagegroup.cpp 
  overlaylist.cpp 
  metaimage.cpp 
  imagedata.cpp 
  drawsettings.cpp 
  imagedisplaysetting.cpp 
  lookuptable.cpp
  curvedatalist.cpp 
  imagedatastore.cpp 
  imagebuffer.cpp 
  graphmanager.cpp 
  briconwidget.cpp 
  cursorwidget.cpp 
  drawwidget.cpp 
  imagewidget.cpp 
  viewwidget.cpp 
  orthowidget.cpp 
  singlewidget.cpp 
  lightboxwidget.cpp 
  slicewidget.cpp 
  sliceview.cpp 
  timeserieswidget.cpp 
  singleserieswidget.cpp 
  overlaywidget.cpp 
  histogramwidget.cpp 
  clusterbrowser.cpp
  histogramtoolbar.cpp 
  overlayinfodialog.cpp
  meshoptionsdialog.cpp
  atlasoptionsdialog.cpp
  atlasselectiondialog.cpp
  histogramoptionsdialogimpl.cpp 
  properties.cpp 
  propertiesdialogimpl.cpp 
  vtkpropertydialog.cpp 
  vtktoolbar.cpp 
  timeseriestoolbar.cpp
  talairachwidget.cpp
  shape.cpp 
  rect.cpp 
  command.cpp 
  modelfit.cpp
  clusterdata.cpp
  tsplotcode.cpp 
  maintoolbar.cpp 
  modetoolbar.cpp 
  vtkmeshsurface.cpp
  vtkwidget.cpp)

QT_WRAP_CPP( ui moc_srcs
  application.h
  assistantclient.h
  overlayinfodialog.h
  meshoptionsdialog.h
  atlasoptionsdialog.h
  atlasselectiondialog.h
  imagewidget.h
  viewwidget.h
  sliceview.h
  orthowidget.h
  singlewidget.h
  lightboxwidget.h
  briconwidget.h
  cursorwidget.h
  drawwidget.h
  slicewidget.h
  splashscreen.h
  timeserieswidget.h
  talairachwidget.h
  clusterbrowser.h
  singleserieswidget.h
  maintoolbar.h
  modetoolbar.h
  histogramwidget.h
  vtkwidget.h
  overlaywidget.h)

QT_WRAP_UI(ui ui_hdrs ui_srcs
  sliceviewbase.ui
  applicationwindowbase.ui
  clusterbrowserbase.ui
  histogramoptionsdialog.ui 
  histogramtoolbarbase.ui 
  meshoptionsdialogbase.ui 
  atlasoptionsdialogbase.ui 
  atlasselectiondialogbase.ui 
  talairachwidgetbase.ui 
  propertiesdialog.ui 
  overlaywidgetbase.ui 
  createmaskdialog.ui 
  overlayinfodialogbase.ui 
  timeseriestoolbarbase.ui 
  smartpendialogbase.ui
  maintoolbarbase.ui 
  modetoolbarbase.ui 
  vtktoolbarbase.ui 
  vtkpropertydialogbase.ui 
  drawtoolbarbase.ui 
  cursorwidgetbase.ui
  briconwidgetbase.ui)

FIND_PACKAGE( Qt REQUIRED )
FIND_PACKAGE( VTK REQUIRED )
FIND_PATH( BOOST_DIR boost/shared_ptr.hpp
	   /Developer/boost
	   /usr/local/boost
	   /usr/local/boost_1_33_0 )
FIND_PATH( QWT_DIR include/qwt_wheel.h 
	   /Developer/qwt 
	   /usr/local/qwt
	   /usr/local/qwt-4.2.0)
IF(NOT WINDOWS)
  FIND_PATH( FSL_DIR etc/fslconf/fsl.sh
	   /usr/local/fsl )
ENDIF(NOT WINDOWS)

ADD_DEFINITIONS( ${QT_DEFINITIONS} )

IF(VTK_DIR)
  INCLUDE( ${VTK_USE_FILE} )
  ADD_DEFINITIONS( -DHAVE_VTK )
ENDIF(VTK_DIR)

SET(HAS_SYSLOG ON CACHE BOOL "Use syslog found on many Unix systems")

CONFIGURE_FILE( ${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h )

INCLUDE_DIRECTORIES( ${QT_INCLUDE_DIR} )
INCLUDE_DIRECTORIES( ${QWT_DIR}/include )
INCLUDE_DIRECTORIES( ${BOOST_DIR} )
INCLUDE_DIRECTORIES( ${FSL_DIR}/include )
INCLUDE_DIRECTORIES( ${FSL_DIR}/extras/include/newmat )
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_BINARY_DIR} )

LINK_DIRECTORIES( ${X11_LIBRARY_DIR} )
LINK_DIRECTORIES( ${VTK_LIBRARY_DIRS} )
LINK_DIRECTORIES( ${QWT_DIR}/lib )
LINK_DIRECTORIES( ${FSL_DIR}/lib ${FSL_DIR}/extras/lib )
LINK_DIRECTORIES( ${FSLVIEW_BINARY_DIR}/lib )

ADD_LIBRARY( ui ${ui_srcs} ${moc_srcs} )
ADD_LIBRARY( utilities ${utility_srcs} )
IF(APPLE)
  SET( MACOSX_BUNDLE_ICON_FILE application.icns )
  SET( MACOSX_BUNDLE_COPYRIGHT "Copyright (c) 2005, University of Oxford" )
  ADD_EXECUTABLE( fslview MACOSX_BUNDLE ${srcs} )
  INSTALL_TARGETS( /bin fslview )
ELSE (APPLE)
  ADD_EXECUTABLE( fslview ${srcs} )
  INSTALL_TARGETS( /bin fslview )
ENDIF(APPLE)

TARGET_LINK_LIBRARIES( fslview utilities ui storage)

IF(UNIX)
  TARGET_LINK_LIBRARIES( fslview ${FSLVIEW_BINARY_DIR}/lib/libfslio.a )
ELSE(UNIX)
  IF(WINDOWS)
    LINK_DIRECTORIES( ${FSLVIEW_BINARY_DIR}/lib/Debug )
  ENDIF(WINDOWS)
  TARGET_LINK_LIBRARIES( fslview fslio )
ENDIF(UNIX)

TARGET_LINK_LIBRARIES( fslview ${QT_LIBRARIES} niftiio znz z )
TARGET_LINK_LIBRARIES( fslview miscmaths newmat utils )
TARGET_LINK_LIBRARIES( fslview qassistantclient qwt )
TARGET_LINK_LIBRARIES( fslview QVTK vtkHybrid vtkWidgets )

ADD_EXECUTABLE( atlasquery atlasquery.cc )
TARGET_LINK_LIBRARIES( atlasquery utilities ${QT_LIBRARIES} storage miscmaths newmat utils fslio niftiio znz z )

# Now for the test harness

CREATE_TEST_SOURCELIST(Tests
  atlastests.cpp
  atlastst.cpp
  agtest.cpp)

REMOVE(srcs main.cpp)

#ADD_EXECUTABLE( atlastests ${srcs} ${Tests} )
#TARGET_LINK_LIBRARIES(atlastests ui storage
#  fslio niftiio znz z
#  miscmaths newmat utils qassistantclient qwt QVTK vtkHybrid vtkWidgets )

#SET(TestsToRun ${Tests})
#REMOVE(TestsToRun atlastests.cpp)

#FOREACH (test ${TestsToRun})
#  GET_FILENAME_COMPONENT( TName ${test} NAME_WE )
#  ADD_TEST(${TName} ${EXECUTABLE_OUTPUT_PATH}/atlastests ${TName})
#ENDFOREACH (test)

=== src/storage/CMakeLists.txt ===
SET(Storage_SOURCES
	image.cpp
	volume.cpp
	timeseries.cpp
	imageinfo.cpp
	histogram.cpp
	error.cpp)

ADD_LIBRARY(storage ${Storage_SOURCES})

FIND_PATH(FSL_DIR etc/fslconf/fsl.sh /usr/local/fsl)
INCLUDE_DIRECTORIES(${FSL_DIR}/include)

FIND_PATH(BOOST_DIR boost/shared_ptr.hpp
	/Developer/boost
	/usr/local/boost
	/usr/local/boost_1_33_0)
INCLUDE_DIRECTORIES(${BOOST_DIR})

IF(FSL_BUILD)
  INSTALL_FILES(/include/storage .*\\.h$)
  INSTALL_FILES(/include/storage .*\\.hpp$)
  INSTALL_FILES(/include/storage .*\\.inc$)
  INSTALL_TARGETS(/lib storage)
ENDIF(FSL_BUILD)

=== src/storage/test/CMakeLists.txt ===
SET(testhist_SOURCES testhistfns.cpp)

ADD_EXECUTABLE (testhistfns ${testhist_SOURCES})
TARGET_LINK_LIBRARIES (testhistfns storage miscmaths newmat niftiio fslio znz z)
TARGET_LINK_LIBRARIES (testhistfns ${FSLVIEW_BINARY_DIR}/lib/libfslio.a )

FIND_PATH(FSL_DIR etc/fslconf/fsl.sh /usr/local/fsl)
INCLUDE_DIRECTORIES(${FSL_DIR}/include)

FIND_PATH(BOOST_DIR boost/shared_ptr.hpp
	/Developer/boost
	/usr/local/boost
	/usr/local/boost_1_33_0)
INCLUDE_DIRECTORIES(${BOOST_DIR})

## fslview 3.0.2+4.1.0

=== src/fslview/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-PROJECT(fslview)
+PROJECT(FSLVIEW)
 
 SET(utility_srcs
   preferences.cpp
@@ -122,7 +122,7 @@
   cursorwidgetbase.ui
   briconwidgetbase.ui)
 
-FIND_PACKAGE( Qt REQUIRED )
+FIND_PACKAGE( Qt3 REQUIRED )
 FIND_PACKAGE( VTK REQUIRED )
 FIND_PATH( BOOST_DIR boost/shared_ptr.hpp
 	   /Developer/boost
@@ -148,7 +148,7 @@
 
 CONFIGURE_FILE( ${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h )
 
-INCLUDE_DIRECTORIES( ${QT_INCLUDE_DIR} )
+INCLUDE_DIRECTORIES( ${QT_INCLUDE_DIR} ${QT_INCLUDE_DIR}/qwt )
 INCLUDE_DIRECTORIES( ${QWT_DIR}/include )
 INCLUDE_DIRECTORIES( ${BOOST_DIR} )
 INCLUDE_DIRECTORIES( ${FSL_DIR}/include )
@@ -159,38 +159,57 @@
 LINK_DIRECTORIES( ${VTK_LIBRARY_DIRS} )
 LINK_DIRECTORIES( ${QWT_DIR}/lib )
 LINK_DIRECTORIES( ${FSL_DIR}/lib ${FSL_DIR}/extras/lib )
-LINK_DIRECTORIES( ${FSLVIEW_BINARY_DIR}/lib )
+#LINK_DIRECTORIES( ${FSLVIEW_BINARY_DIR}/lib )
 
 ADD_LIBRARY( ui ${ui_srcs} ${moc_srcs} )
 ADD_LIBRARY( utilities ${utility_srcs} )
+
+ADD_EXECUTABLE( atlasquery atlasquery.cc )
+TARGET_LINK_LIBRARIES( atlasquery ${QT_LIBRARIES} utilities storage miscmaths newmat utils fslio niftiio znz z )
+
 IF(APPLE)
   SET( MACOSX_BUNDLE_ICON_FILE application.icns )
+  INSTALL(FILES application.icns DESTINATION bin/fslview.app/Contents/Resources)
   SET( MACOSX_BUNDLE_COPYRIGHT "Copyright (c) 2005, University of Oxford" )
   ADD_EXECUTABLE( fslview MACOSX_BUNDLE ${srcs} )
-  INSTALL_TARGETS( /bin fslview )
+  FILE( GLOB vtklibs ${VTK_DIR}/*.dylib* )
+  FILE( GLOB qwtlibs ${QWT_DIR}/lib/*.dylib* )
+  FILE( GLOB qtlibs ${QT_INCLUDE_DIR}/../lib/*.dylib* )
+  INSTALL(FILES ${vtklibs} ${qtlibs} ${qwtlibs} DESTINATION bin/fslview.app/Contents/Frameworks)
+#   INSTALL(TARGETS fslview atlasquery 
+# 	RUNTIME DESTINATION /bin
+# 	LIBRARY DESTINATION /lib
+# 	ARCHIVE DESTINATION /lib )
 ELSE (APPLE)
   ADD_EXECUTABLE( fslview ${srcs} )
-  INSTALL_TARGETS( /bin fslview )
+  FILE( GLOB vtklibs ${VTK_DIR}/../libvtk*.so* ${VTK_DIR}/../libQVTK.so* )
+  FILE( GLOB qwtlibs ${QWT_DIR}/lib/*.so* )
+  FILE( GLOB qtlibs ${QT_QT_LIBRARY}* ${QT_QASSISTANTCLIENT_LIBRARY}* )
+  INSTALL(FILES ${vtklibs} ${qtlibs} ${qwtlibs} DESTINATION lib)
+#   INSTALL(TARGETS fslview atlasquery RUNTIME DESTINATION /bin )
 ENDIF(APPLE)
 
 TARGET_LINK_LIBRARIES( fslview utilities ui storage)
-
-IF(UNIX)
-  TARGET_LINK_LIBRARIES( fslview ${FSLVIEW_BINARY_DIR}/lib/libfslio.a )
-ELSE(UNIX)
-  IF(WINDOWS)
-    LINK_DIRECTORIES( ${FSLVIEW_BINARY_DIR}/lib/Debug )
-  ENDIF(WINDOWS)
-  TARGET_LINK_LIBRARIES( fslview fslio )
-ENDIF(UNIX)
-
-TARGET_LINK_LIBRARIES( fslview ${QT_LIBRARIES} niftiio znz z )
+TARGET_LINK_LIBRARIES( fslview ${QT_LIBRARIES} fslio niftiio znz z )
 TARGET_LINK_LIBRARIES( fslview miscmaths newmat utils )
 TARGET_LINK_LIBRARIES( fslview qassistantclient qwt )
-TARGET_LINK_LIBRARIES( fslview QVTK vtkHybrid vtkWidgets )
-
-ADD_EXECUTABLE( atlasquery atlasquery.cc )
-TARGET_LINK_LIBRARIES( atlasquery utilities ${QT_LIBRARIES} storage miscmaths newmat utils fslio niftiio znz z )
+TARGET_LINK_LIBRARIES( fslview vtkHybrid vtkWidgets QVTK )
+
+INSTALL(TARGETS fslview atlasquery 
+	RUNTIME DESTINATION bin
+	LIBRARY DESTINATION lib
+	ARCHIVE DESTINATION lib )
+IF(UNIX)
+#  TARGET_LINK_LIBRARIES( fslview ${FSLVIEW_BINARY_DIR}/lib/libfslio.a )
+#   INSTALL_FILES ( /lib ${VTK_LIBRARY_DIR}/.*\\.so$ )
+ENDIF(UNIX)
+IF(APPLE)
+#   FILE( GLOB vtklibs ${VTK_DIR}/../*.dylib* )
+#   INSTALL_FILES ( /bin/fslview.app/Contents/Frameworks FILES ${vtklibs} )
+ENDIF(APPLE)
+IF(WINDOWS)
+    LINK_DIRECTORIES( ${FSLVIEW_BINARY_DIR}/lib/Debug )
+ENDIF(WINDOWS)
 
 # Now for the test harness

=== src/storage/CMakeLists.txt ===
--- 
+++ 
@@ -23,3 +23,5 @@
   INSTALL_FILES(/include/storage .*\\.inc$)
   INSTALL_TARGETS(/lib storage)
 ENDIF(FSL_BUILD)
+
+SUBDIRS(test)

## fslview 3.1.2+4.1.4

=== src/fslview/CMakeLists.txt ===
--- 
+++ 
@@ -52,6 +52,7 @@
   meshoptionsdialog.cpp
   atlasoptionsdialog.cpp
   atlasselectiondialog.cpp
+  viewoptionsdialog.cpp
   histogramoptionsdialogimpl.cpp 
   properties.cpp 
   propertiesdialogimpl.cpp 
@@ -77,6 +78,7 @@
   meshoptionsdialog.h
   atlasoptionsdialog.h
   atlasselectiondialog.h
+  viewoptionsdialog.h
   imagewidget.h
   viewwidget.h
   sliceview.h
@@ -107,6 +109,7 @@
   meshoptionsdialogbase.ui 
   atlasoptionsdialogbase.ui 
   atlasselectiondialogbase.ui 
+  viewoptionsdialogbase.ui 
   talairachwidgetbase.ui 
   propertiesdialog.ui 
   overlaywidgetbase.ui 
@@ -120,7 +123,8 @@
   vtkpropertydialogbase.ui 
   drawtoolbarbase.ui 
   cursorwidgetbase.ui
-  briconwidgetbase.ui)
+  briconwidgetbase.ui
+  timeserieswindowbase.ui)
 
 FIND_PACKAGE( Qt3 REQUIRED )
 FIND_PACKAGE( VTK REQUIRED )
@@ -176,6 +180,7 @@
   FILE( GLOB qwtlibs ${QWT_DIR}/lib/*.dylib* )
   FILE( GLOB qtlibs ${QT_INCLUDE_DIR}/../lib/*.dylib* )
   INSTALL(FILES ${vtklibs} ${qtlibs} ${qwtlibs} DESTINATION bin/fslview.app/Contents/Frameworks)
+#  INSTALL(DIRECTORY $ENV{QTDIR}/bin/assistant.app DESTINATION lib)
 #   INSTALL(TARGETS fslview atlasquery 
 # 	RUNTIME DESTINATION /bin
 # 	LIBRARY DESTINATION /lib
@@ -183,9 +188,12 @@
 ELSE (APPLE)
   ADD_EXECUTABLE( fslview ${srcs} )
   FILE( GLOB vtklibs ${VTK_DIR}/../libvtk*.so* ${VTK_DIR}/../libQVTK.so* )
+  FILE( GLOB osmesa /usr/lib*/libOSMesa*.so* )
   FILE( GLOB qwtlibs ${QWT_DIR}/lib/*.so* )
   FILE( GLOB qtlibs ${QT_QT_LIBRARY}* ${QT_QASSISTANTCLIENT_LIBRARY}* )
-  INSTALL(FILES ${vtklibs} ${qtlibs} ${qwtlibs} DESTINATION lib)
+  FILE( GLOB assistant ${QT_INCLUDE_DIR}/../bin/assistant )
+  INSTALL(FILES ${vtklibs} ${osmesa} ${qtlibs} ${qwtlibs} DESTINATION lib)
+#  INSTALL(FILES ${assistant} DESTINATION lib)
 #   INSTALL(TARGETS fslview atlasquery RUNTIME DESTINATION /bin )
 ENDIF(APPLE)

=== src/storage/test/CMakeLists.txt ===
SET(testhist_SOURCES testhistfns.cpp)
SET(testimage_SOURCES testimage.cpp)

FIND_PATH(BOOST_DIR boost/shared_ptr.hpp
	/Developer/boost
	/usr/local/boost
	/usr/local/boost_1_33_0)
INCLUDE_DIRECTORIES(${BOOST_DIR})

FIND_PATH(FSL_DIR etc/fslconf/fsl.sh /usr/local/fsl)
INCLUDE_DIRECTORIES(${FSL_DIR}/include)

INCLUDE_DIRECTORIES(${FSLVIEW_SOURCE_DIR}/fsl)

ADD_EXECUTABLE (testhistfns ${testhist_SOURCES})
TARGET_LINK_LIBRARIES (testhistfns storage miscmaths newmat niftiio fslio znz z)
TARGET_LINK_LIBRARIES (testhistfns ${FSLVIEW_BINARY_DIR}/lib/libfslio.a )

ADD_EXECUTABLE(testimage ${testimage_SOURCES})
TARGET_LINK_LIBRARIES(testimage utils storage miscmaths newmat niftiio fslio znz z)

ENABLE_TESTING()

SET(data_DIR $ENV{HOME}/fslview-test-data)
ADD_TEST(Image6G1 ${EXECUTABLE_OUTPUT_PATH}/testimage -i ${data_DIR}/all_FA_skeletonised -c ${data_DIR}/list1.txt)
ADD_TEST(Image6G2 ${EXECUTABLE_OUTPUT_PATH}/testimage -i ${data_DIR}/all_FA_skeletonised -c ${data_DIR}/list2.txt)

## fslview 3.1.8+4.1.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,5 +9,5 @@
 
 ENABLE_TESTING()
 
-SUBDIRS(fsl src)
+SUBDIRS(fsl src doc/fslview)

=== src/fslview/CMakeLists.txt ===
--- 
+++ 
@@ -168,7 +168,7 @@
 ADD_LIBRARY( ui ${ui_srcs} ${moc_srcs} )
 ADD_LIBRARY( utilities ${utility_srcs} )
 
-ADD_EXECUTABLE( atlasquery atlasquery.cc )
+ADD_EXECUTABLE( atlasquery atlasquery.cc tracker.cpp )
 TARGET_LINK_LIBRARIES( atlasquery ${QT_LIBRARIES} utilities storage miscmaths newmat utils fslio niftiio znz z )
 
 IF(APPLE)

=== src/storage/CMakeLists.txt ===
--- 
+++ 
@@ -25,3 +25,4 @@
 ENDIF(FSL_BUILD)
 
 SUBDIRS(test)
+

=== debian/changelog ===
fslview (3.1.8+4.1.6-2) unstable; urgency=low

  * Adjust build-dependency on libnifti-dev (no versioned -dev package
    anymore).
  * Bump Standards-version to 3.9.0, no changes necessary.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 21 Jul 2010 10:29:16 -0400

fslview (3.1.8+4.1.6-1) unstable; urgency=low

  * New Upstream Version.
  * Merge property dialog layout patch with upstream.
  * Switch packaging from CDBS to debhelper's dh. Bump compat level from
    5 to 7.
  * Switch to dpkg-source 3.0 (quilt) format. Split git feature branches into
    quilt patch series.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 30 Jun 2010 20:35:06 -0400

fslview (3.1.2+4.1.5.2-1) unstable; urgency=low

  * New upstream code.
  * Fixed property dialog layout.

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 28 Jan 2010 09:54:35 -0500

fslview (3.1.2+4.1.4-2) unstable; urgency=low

  * Bumped Standards-Version to 3.8.3.0, no changes necessary.
  * Updated information about unofficial FSL data packages.
  * Fixed minor whitespace errors in Debian packaging.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 30 Sep 2009 21:43:14 -0400

fslview (3.1.2+4.1.4-1) unstable; urgency=low

  * New upstream release. Merged few patches from previous Debian package
    release. This version is now compatible with the recent boost 1.38.0
    (Closes: #530465).

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 03 Jun 2009 19:34:36 +0200

fslview (3.1.0+4.1.3-1) unstable; urgency=low

  * New upstream release.
  * Bumped Standards-Version to 3.8.1, no changes necessary.
  * Update debhelper compat level to 5.
  * Switch Debian packaging to use CDBS -- simplifying debian/rules quite a
    bit.
  * Reduce Debian diff by reverting back to static linking. The previous
    approach of splitting unversioned shared libs to be used by FSL has proven
    to be too error-prone and time consuming to maintain (Closes: #522484).
  * Updated fslview.1 to reflect new command line option.
  * Update debian/copyright for the year 2009.

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 27 Apr 2009 20:42:01 +0200

fslview (3.0.2+4.1.2-2) unstable; urgency=low

  * Compile internal libraries as shared libs and install them under
    /usr/lib/fsl/lib, so FSL itself can use them as well.
  * Expose FSL's internal libs via RPATH to the included binaries.
    That should be appropriate, since they are built from the same package
    and are not intended to be used by other packages than FSL (hence, no -dev
    package).
  * Added patch to prevent fslview from crashing with images that have dim4=0.
    Thanks to Wim Otte.
  * Build package with -Wl,--no-undefined.
  * Added 'XS-DM-Upload-Allowed: yes' to debian/control.

 -- Michael Hanke <michael.hanke@gmail.com>  Fri, 06 Feb 2009 12:13:24 +0100

fslview (3.0.2+4.1.2-1) UNRELEASED; urgency=low

  * New Upstream Version.
  * Updated repackaging to keep fslio in the sources (will soon be removed from
    nifticlib package).

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 29 Jan 2009 19:19:15 +0100

fslview (3.0.2+4.1.0-3) unstable; urgency=low

  * Fix the fix to #502083 -- which has the condition reversed. Additionally,
    the 'fix' is not necessary on ARM (Closes: #502083).

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 16 Oct 2008 14:59:20 +0200

fslview (3.0.2+4.1.0-2) unstable; urgency=low

  * Prevent using -Wl,--as-needed linker flags on arm, armel and armeb
    (Closes: #502083). Thanks to Riku Voipio for pointing to the workaround.
  * Update 'repackage-fsl' script to not remove fslio anymore, since the
    im scripts are required by FSL.

 -- Michael Hanke <michael.hanke@gmail.com>  Tue, 14 Oct 2008 20:03:24 +0200

fslview (3.0.2+4.1.0-1) unstable; urgency=low

  * New Upstream Version.
  * Bumped Standards-Version to 3.8.0, no changes necessary.

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 14 Aug 2008 12:59:52 +0200

fslview (3.0+4.0.2-5) unstable; urgency=low

  * Specify Qt3 dev tools explicitly to be compatible with cmake 2.6 and
    add missing include path (Closes: #482209).

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 21 May 2008 19:38:18 +0200

fslview (3.0+4.0.2-4) unstable; urgency=low

  * Do not recommend fsl-atlases package anymore as it is not in Debian
    main. However, this package is available from other repositories. 
    Therefore keeping the reference in the suggested packages
    (Closes: #474447).
  * Add explicite build-dependency on libqt3-compat-headers (Closes: #475993).

 -- Michael Hanke <michael.hanke@gmail.com>  Tue, 15 Apr 2008 00:33:03 +0200

fslview (3.0+4.0.2-3) unstable; urgency=low

  * Link with --as-needed to significantly reduce the number of package
    dependencies.
  * Fix typo in changelog.
  * Updated build-deps for libnifti transition.
  * Bumped Standards-version to 3.7.3, no changes necessary.
  * Fixed missing headers for GCC 4.3 compatibility (Closes: #456099).
  * Changed section of fslview-doc package to 'doc'.

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 03 Jan 2008 09:51:05 +0100

fslview (3.0+4.0.2-2) unstable; urgency=low

  * Resurrect atlasquery and install it again in the package.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 18 Nov 2007 13:00:48 +0100

fslview (3.0+4.0.2-1) unstable; urgency=low

  * New upstream release.
  * Use new-style Homepage field in debian/control.
  * Add VCS information to debian/control.

 -- Michael Hanke <michael.hanke@gmail.com>  Fri, 16 Nov 2007 08:02:37 +0100

fslview (3.0+4.0.1-2) unstable; urgency=low

  * Build-depend on libniftiio1-dev by default.

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 17 Sep 2007 14:16:55 +0200

fslview (3.0+4.0.1-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 01 Sep 2007 10:49:00 +0200

fslview (3.0+4.0.0-1) unstable; urgency=low

  * Initial release.
  * Modified default path setting to match the Debian environment.


=== debian/control ===
Source: fslview
Section: science
Priority: optional
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <michael.hanke@gmail.com>, Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7.0.50~), libboost-dev, libvtk5-dev, libqwt-dev, qt3-apps-dev, libqt3-compat-headers, libvtk5-qt3-dev, libtiff4-dev, libnewmat10-dev, cmake, imagemagick, libnifti-dev
Standards-Version: 3.9.0
Homepage: http://www.fmrib.ox.ac.uk/fsl/fslview
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/fslview.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/fslview.git
XS-DM-Upload-Allowed: yes


Package: fslview
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: fslview-doc
Suggests: fsl-atlases
Conflicts: fsl-fslview
Replaces: fsl-fslview
Description: viewer for (f)MRI and DTI data
 This package provides a viewer for 3d and 4d MRI data as well as DTI images.
 FSLView is able to display ANALYZE and NIFTI files. The viewer supports
 multiple 2d viewing modes (orthogonal, lightbox or single slices), but also
 3d volume rendering. Additionally FSLView is able to visualize timeseries and
 can overlay metrical and stereotaxic atlas data.
 .
 FSLView is part of FSL.


Package: fslview-doc
Architecture: all
Section: doc
Depends: qt3-assistant, ${misc:Depends}
Description: Documentation for FSLView
 This package provides the online documentation for FSLView.
 .
 FSLView is part of FSL.

=== debian/rules ===
#!/usr/bin/make -f

# attempt to fix/workaround #502083
AS_NEEDED_BROKEN = zarmelz zarmebz
ifneq (,$(findstring z$(DEB_HOST_ARCH)z,$(AS_NEEDED_BROKEN)))
LDFLAGS =
else
LDFLAGS = -Wl,--as-needed -Wl,--no-undefined
endif

# The CMake flags for Debian:
# - Choose Qt3 explicitely (necessary as building fails with Qt4 present).
# - Search for VTK instead of a fixed path to be compatible with post-etch
#   versions and Ubuntu.

# add Debian-specific include paths
CXXFLAGS += -I$(CURDIR)/fsl/libprob \
            -I/usr/include/newmat \
            -I/usr/include/qwt \
            -I/usr/include/nifti
CFLAGS += $(CXXFLAGS)
export CXXFLAGS
export CFLAGS


# one ring to rule them all ...
%:
	dh $@ --buildsystem=cmake


override_dh_auto_configure:
	dh_auto_configure -- \
      -DCMAKE_EXE_LINKER_FLAGS:STRING="$(LDFLAGS)" \
      -DCMAKE_MODULE_LINKER_FLAGS:STRING="$(LDFLAGS)" \
      -DCMAKE_SHARED_LINKER_FLAGS:STRING="$(LDFLAGS)" \
      -DVTK_DIR:PATH=$$(dirname $$(find /usr/lib -name VTKConfig.cmake|head -n1)) \
      -DDESIRED_QT_VERSION=3 \
      -DQT_MOC_EXECUTABLE=/usr/bin/moc-qt3 \
      -DQT_UIC_EXECUTABLE=/usr/bin/uic-qt3 \
      -DQWT_DIR=/usr \
      -DFSL_DIR=$(CURDIR)/fsl \
      -DFSL_BUILD:BOOL=ON


override_dh_auto_install::
	dh_auto_install
	# make fsl icon
	convert doc/fslview/fsl-logo.png -resize x32 -crop 32x32+5+0 \
		debian/tmp/fslview.xpm


override_dh_auto_test::
	# disabled because tests rely on FSL environment which is provided by a
	# non-free package

# do not compress the html docs as they are used as online help sources
# for FSLView via the Qt-Assistant
override_dh_compress:
	dh_compress -X.html -X.png -X.adp -X.jpg

## fslview 3.1.8+4.1.9

=== debian/changelog ===
fslview (3.1.8+4.1.9-1~nd60+1) squeeze; urgency=low

  * Backported for squeeze.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 25 Oct 2011 03:36:32 -0400

fslview (3.1.8+4.1.9-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Michael Hanke <mih@debian.org>  Tue, 25 Oct 2011 09:19:08 +0200

fslview (3.1.8+4.1.8-1) unstable; urgency=low

  * New upstream FSL release with various bugfixes.
  * Changed maintainer email.
  * Bump Standards-version to 3.9.2, no changes necessary.

 -- Michael Hanke <mih@debian.org>  Wed, 18 May 2011 16:01:01 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: fslview
 Section: science
 Priority: optional
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
-Uploaders: Michael Hanke <michael.hanke@gmail.com>, Yaroslav Halchenko <debian@onerussian.com>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 7.0.50~), libboost-dev, libvtk5-dev, libqwt-dev, qt3-apps-dev, libqt3-compat-headers, libvtk5-qt3-dev, libtiff4-dev, libnewmat10-dev, cmake, imagemagick, libnifti-dev
-Standards-Version: 3.9.0
+Standards-Version: 3.9.2
 Homepage: http://www.fmrib.ox.ac.uk/fsl/fslview
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/fslview.git
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/fslview.git
@@ -13,7 +14,7 @@
 
 Package: fslview
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
 Recommends: fslview-doc
 Suggests: fsl-atlases
 Conflicts: fsl-fslview
@@ -31,7 +32,7 @@
 Package: fslview-doc
 Architecture: all
 Section: doc
-Depends: qt3-assistant, ${misc:Depends}
+Depends: neurodebian-popularity-contest, qt3-assistant, ${misc:Depends}
 Description: Documentation for FSLView
  This package provides the online documentation for FSLView.
  .

## fslview 4.0.0~beta1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4)

if(COMMAND cmake_policy)
  cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)


PROJECT(FSLVIEW)

SET(CMAKE_MODULE_PATH ${FSLVIEW_SOURCE_DIR}/cmake)
SET(CMAKE_BUILD_TYPE Debug)
SET(LIBRARY_OUTPUT_PATH ${FSLVIEW_BINARY_DIR}/lib)
SET(EXECUTABLE_OUTPUT_PATH ${FSLVIEW_BINARY_DIR}/bin)

INCLUDE_DIRECTORIES(${FSLVIEW_SOURCE_DIR}/fsl)
INCLUDE_DIRECTORIES(${FSLVIEW_SOURCE_DIR}/fsl/newmat)
INCLUDE_DIRECTORIES(${FSLVIEW_SOURCE_DIR}/fsl/niftiio)
INCLUDE_DIRECTORIES(${FSLVIEW_SOURCE_DIR}/fsl/znzlib)
INCLUDE_DIRECTORIES(${FSLVIEW_SOURCE_DIR}/src)

ENABLE_TESTING()

SUBDIRS(fsl src doc/fslview)


set(CPACK_PACKAGE_NAME "fslview")

# CPack version numbers for release tarball name.
set(CPACK_PACKAGE_VERSION_MAJOR 4)
set(CPACK_PACKAGE_VERSION_MINOR 0)
set(CPACK_PACKAGE_VERSION_PATCH 0b)
set(VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
set(CPACK_PACKAGE_VERSION ${VERSION})

set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "FSLView - FSL visualisation tool")
set(CPACK_PACKAGE_VENDOR "Oxford University - FMRIB Software Library")
set(CPACK_PACKAGE_CONTACT "Dave Flitney <flitney@fmrib.ox.ac.uk>")
#set(CPACK_PACKAGE_DESCRIPTION_FILE ${CMAKE_CURRENT_SOURCE_DIR}/README)

set(CPACK_SOURCE_PACKAGE_FILE_NAME "fslview-${VERSION}" CACHE INTERNAL "tarball basename")
set(CPACK_SOURCE_GENERATOR TGZ)

set(CPACK_GENERATOR DEB RPM)
set(CPACK_DEBIAN_PACKAGE_DEPENDS "libqwt5-qt4 (>=5.2.2) libvtk5.8-qt4 (>=5.8.0)")
set(CPACK_DEBIAN_PACKAGE_MAINTAINER "Matthew Webster <mwebster@fmrib.ox.ac.uk>")

INCLUDE(CPack)

=== src/fslview/CMakeLists.txt ===
#PROJECT(fslview)
#SET(CMAKE_MODULE_PATH ${FSLVIEW_SOURCE_DIR}/cmake)

FIND_PACKAGE( Qt4 REQUIRED )
FIND_PACKAGE( Qwt REQUIRED )
FIND_PACKAGE( VTK REQUIRED )
FIND_PACKAGE( Boost REQUIRED )

MESSAGE(STATUS, "Setting Qt options from: ${QT_USE_FILE}")

SET(QT_USE_QTXML TRUE)
#SET(QT_USE_QTOPENGL TRUE)
SET(QT_USE_QT3SUPPORT TRUE)
SET(QT_USE_QTASSISTANT TRUE)
SET(QT_USE_QTWEBKIT FALSE)
INCLUDE(${QT_USE_FILE})
ADD_DEFINITIONS( -DQT3_SUPPORT )
ADD_DEFINITIONS( ${QT_DEFINITIONS} )

INCLUDE_DIRECTORIES( ${QWT_INCLUDE_DIR} )

IF(VTK_DIR)
  INCLUDE( ${VTK_USE_FILE} )
  ADD_DEFINITIONS( -DHAVE_VTK )
ENDIF(VTK_DIR)

INCLUDE_DIRECTORIES( ${BOOST_DIR} )

INCLUDE_DIRECTORIES( ${FSL_DIR}/include )
INCLUDE_DIRECTORIES( ${FSL_DIR}/extras/include/newmat )
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_BINARY_DIR} )
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR}/.. )


SET(utility_srcs
  preferences.cpp
  atlas.cpp
  filemanager.cpp
  cursor.cpp
  lookuptable.cpp
  clusterdata.cpp)

SET(srcs
  main.cpp
  preferences.cpp
  atlas.cpp
  filemanager.cpp
  logger.cpp
  assistantclient.cpp
  splashscreen.cpp 
  version.cpp
  tracker.cpp
  cursor.cpp
  bricon.cpp
  imagegroup.cpp 
  overlaylist.cpp 
  metaimage.cpp 
  imagedata.cpp 
  drawsettings.cpp 
  imagedisplaysetting.cpp 
  lookuptable.cpp
  curvedatalist.cpp 
  imagedatastore.cpp 
  imagebuffer.cpp 
  graphmanager.cpp 
  briconwidget.cpp 
  cursorwidget.cpp 
  drawwidget.cpp 
#  imagewidget.cpp 
  imagewindow.cpp 
  viewwidget.cpp 
  orthowidget.cpp 
  singlewidget.cpp 
#  lightboxwidget.cpp
  lightboxwindow.cpp
  slicewidget.cpp 
  sliceview.cpp 
  timeserieswidget.cpp 
  singleserieswidget.cpp 
  overlaywidget.cpp 
  histogramwidget.cpp 
  clusterbrowser.cpp
  histogramtoolbar.cpp 
  overlayinfodialog.cpp
  meshoptionsdialog.cpp
  atlasoptionsdialog.cpp
  atlasselectiondialog.cpp
  viewoptionsdialog.cpp
  histogramoptionsdialogimpl.cpp 
  properties.cpp 
  propertiesdialogimpl.cpp 
  vtkpropertydialog.cpp 
  vtktoolbar.cpp 
  timeseriestoolbar.cpp
  talairachwidget.cpp  
  shape.cpp 
  rect.cpp 
  command.cpp 
  modelfit.cpp
  clusterdata.cpp
  tsplotcode.cpp 
  maintoolbar.cpp 
  modetoolbar.cpp 
  vtkmeshsurface.cpp
  vtkwidget.cpp
  application.cpp)

QT_WRAP_CPP(ui moc_srcs
  application.h
  assistantclient.h
  overlayinfodialog.h
  meshoptionsdialog.h
  atlasoptionsdialog.h
  atlasselectiondialog.h
  viewoptionsdialog.h
#  imagewidget.h
  imagewindow.h
  viewwidget.h
  sliceview.h
  orthowidget.h
  singlewidget.h
#  lightboxwidget.h
  lightboxwindow.h
  briconwidget.h
  cursorwidget.h
  drawwidget.h
  slicewidget.h
  splashscreen.h
  timeserieswidget.h
  talairachwidget.h
  clusterbrowser.h
  singleserieswidget.h
  maintoolbar.h
  modetoolbar.h
  histogramwidget.h
  vtkwidget.h
  vtktoolbar.h
  overlaywidget.h)

QT_WRAP_UI(ui ui_hdrs dd
  applicationwindowbase.ui
# Toolbars
  maintoolbarbase.ui 
  modetoolbarbase.ui 
  drawtoolbarbase.ui 
  briconwidgetbase.ui
# Dock windows etc
#  talairachwidgetbase.ui 
  atlasdockbase.ui 
  atlasoptionsdialogbase.ui 
  atlasselectiondialogbase.ui 
#  cursorwidgetbase.ui
  cursordockbase.ui
#  overlaywidgetbase.ui 
  overlaydockbase.ui 
  overlayinfodialogbase.ui 
# View windows
  imagewindowbase.ui
  clusterbrowserbase.ui
  sliceviewbase.ui
  histogramoptionsdialog.ui 
  histogramtoolbarbase.ui 
  viewoptionsdialogbase.ui 
  propertiesdialog.ui 
  createmaskdialog.ui 
  timeseriestoolbarbase.ui 
  smartpendialogbase.ui
  vtktoolbarbase.ui 
  vtkpropertydialogbase.ui 
  meshoptionsdialogbase.ui 
  timeserieswindowbase.ui)

IF(NOT WINDOWS)
  FIND_PATH( FSL_DIR etc/fslconf/fsl.sh
	   /usr/local/fsl )
ENDIF(NOT WINDOWS)

SET(HAS_SYSLOG ON CACHE BOOL "Use syslog found on many Unix systems")

CONFIGURE_FILE( ${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h )

#LINK_DIRECTORIES( ${X11_LIBRARY_DIR} )
#LINK_DIRECTORIES( ${VTK_LIBRARY_DIRS} )
#LINK_DIRECTORIES( ${QWT_LIB_DIR} )
#LINK_DIRECTORIES( ${FSL_DIR}/lib ${FSL_DIR}/extras/lib )
#LINK_DIRECTORIES( ${FSLVIEW_BINARY_DIR}/lib )

ADD_LIBRARY( ui ${ui_hdrs} ${moc_srcs} )
ADD_LIBRARY( utilities ${utility_srcs} )

#QT_WRAP_CPP( melview mv_srcs melview.h)
#QT_WRAP_UI( melview mv_hdrs dd melviewbase.ui)
#ADD_EXECUTABLE( melview melview.cpp ${mv_srcs} ${mv_hdrs} ${rcc_srcs})
#TARGET_LINK_LIBRARIES( melview ${QT_LIBRARIES} ${QWT_LIBRARIES} )

#ADD_EXECUTABLE( atlasquery atlasquery.cc )
#TARGET_LINK_LIBRARIES( atlasquery ${QT_LIBRARIES} utilities storage miscmaths newmat utils fslio niftiio znz z )

SET(rccs fslview.qrc)
QT4_ADD_RESOURCES(rcc_srcs ${rccs})

IF(APPLE)
  SET( MACOSX_BUNDLE_ICON_FILE application.icns )
  INSTALL(FILES application.icns DESTINATION bin/fslview.app/Contents/Resources)
  SET( MACOSX_BUNDLE_COPYRIGHT "Copyright (c) 2005, University of Oxford" )
  
  ADD_EXECUTABLE( fslview MACOSX_BUNDLE ${srcs} ${rcc_srcs})
  INSTALL(TARGETS fslview
    BUNDLE DESTINATION /Applications/MacPorts/FSL
    RUNTIME DESTINATION /bin
 	LIBRARY DESTINATION /lib
 	ARCHIVE DESTINATION /lib )

  FILE( GLOB vtklibs ${VTK_DIR}/*.dylib* )
  FILE( GLOB qwtlibs ${QWT_LIB_DIR}/lib/*.dylib* )
  FILE( GLOB qtlibs ${QT_INCLUDE_DIR}/../lib/*.dylib* )
  INSTALL(FILES ${vtklibs} ${qtlibs} ${qwtlibs} DESTINATION bin/fslview.app/Contents/Frameworks)
#  INSTALL(DIRECTORY $ENV{QTDIR}/bin/assistant.app DESTINATION lib)
ELSE (APPLE)
  ADD_EXECUTABLE( fslview ${srcs} ${rcc_srcs})
  INSTALL(TARGETS fslview
	RUNTIME DESTINATION bin
	LIBRARY DESTINATION lib
	ARCHIVE DESTINATION lib )

  FILE( GLOB vtklibs ${VTK_DIR}/../libvtk*.so* ${VTK_DIR}/../libQVTK.so* )
  FILE( GLOB osmesa /usr/lib*/libOSMesa*.so* )
  FILE( GLOB qwtlibs ${QWT_LIB_DIR}/lib/*.so* )
  FILE( GLOB qtlibs ${QT_QT_LIBRARY}* ${QT_QASSISTANTCLIENT_LIBRARY}* )
  FILE( GLOB assistant ${QT_INCLUDE_DIR}/../bin/assistant )
  #INSTALL(FILES ${vtklibs} ${osmesa} ${qtlibs} ${qwtlibs} DESTINATION lib)
#  INSTALL(FILES ${assistant} DESTINATION lib)
#  INSTALL(TARGETS fslview atlasquery RUNTIME DESTINATION /bin )
  #INSTALL(TARGETS fslview atlasquery 
ENDIF(APPLE)

   
MESSAGE(STATUS, "${VTK_LIBRARIES} ${QT_LIBRARIES} ${QWT_LIBRARIES}")

TARGET_LINK_LIBRARIES( fslview utilities ui storage)
TARGET_LINK_LIBRARIES( fslview ${QT_LIBRARIES} fslio niftiio znz z )
TARGET_LINK_LIBRARIES( fslview miscmaths newmat utils )
#TARGET_LINK_LIBRARIES( fslview qassistantclient )
TARGET_LINK_LIBRARIES( fslview ${QWT_LIBRARIES} )
TARGET_LINK_LIBRARIES( fslview vtkHybrid vtkWidgets QVTK )

IF(UNIX)
#  TARGET_LINK_LIBRARIES( fslview ${FSLVIEW_BINARY_DIR}/lib/libfslio.a )
#   INSTALL_FILES ( /lib ${VTK_LIBRARY_DIR}/.*\\.so$ )
ENDIF(UNIX)
IF(WINDOWS)
    LINK_DIRECTORIES( ${FSLVIEW_BINARY_DIR}/lib/Debug )
ENDIF(WINDOWS)

# Now for the test harness

CREATE_TEST_SOURCELIST(Tests
  atlastests.cpp
  atlastst.cpp
  agtest.cpp)

REMOVE(srcs main.cpp)

#ADD_EXECUTABLE( atlastests ${srcs} ${Tests} )
#TARGET_LINK_LIBRARIES(atlastests ui storage
#  fslio niftiio znz z
#  miscmaths newmat utils qassistantclient qwt QVTK vtkHybrid vtkWidgets )

#SET(TestsToRun ${Tests})
#REMOVE(TestsToRun atlastests.cpp)

#FOREACH (test ${TestsToRun})
#  GET_FILENAME_COMPONENT( TName ${test} NAME_WE )
#  ADD_TEST(${TName} ${EXECUTABLE_OUTPUT_PATH}/atlastests ${TName})
#ENDFOREACH (test)

=== debian/changelog ===
fslview (4.0.0~beta1-1~nd10.10+1) maverick; urgency=low

  * Backported for maverick.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Fri, 14 Sep 2012 05:23:35 -0400

fslview (4.0.0~beta1-1) UNRELEASED; urgency=low

  * New upstream beta release. Now using Qt4. When opening files with
    unsupported data types and error message is display, and the program
    no longer crashed (Closes: #442177).
  * Adjust package dependencies for transition from Qt3 to Qt4.

 -- Michael Hanke <mih@debian.org>  Fri, 14 Sep 2012 09:14:51 +0200

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,19 @@
 Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
 X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: debhelper (>= 7.0.50~), libboost-dev, libvtk5-dev, libqwt-dev, qt3-apps-dev, libqt3-compat-headers, libvtk5-qt3-dev, libtiff4-dev, libnewmat10-dev, cmake, imagemagick, libnifti-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7.0.50~), libboost-dev, libvtk5-qt4-dev,
+ libqwt5-qt4-dev, libqt4-dev, libtiff4-dev, libnewmat10-dev, cmake, imagemagick,
+ libnifti-dev, libqtassistantclient-dev
+Standards-Version: 3.9.3
 Homepage: http://www.fmrib.ox.ac.uk/fsl/fslview
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/fslview.git
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/fslview.git
-XS-DM-Upload-Allowed: yes
 
 
 Package: fslview
 Architecture: any
 Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
-Recommends: fslview-doc
+Recommends: fslview-doc, qt-assistant-compat
 Suggests: fsl-atlases
 Conflicts: fsl-fslview
 Replaces: fsl-fslview
@@ -32,7 +33,7 @@
 Package: fslview-doc
 Architecture: all
 Section: doc
-Depends: neurodebian-popularity-contest, qt3-assistant, ${misc:Depends}
+Depends: neurodebian-popularity-contest, ${misc:Depends}
 Description: Documentation for FSLView
  This package provides the online documentation for FSLView.
  .
